.note {
    position: relative;
    padding: 1rem 0;
    border-bottom: 1px solid black;

    &__title {
        font-size: 2rem;
        font-weight: 700;
    }

    &__add-btn,
    &__save-btn {
        margin-top: 1rem;
        align-self: flex-end;
    }

    &__date {
        font-size: 1.8rem;
    }

    &__textarea {
        width: calc(100% - 2rem);
        height: calc(100% - 6.5rem);
        outline: none;
        border: none;
        background-color: #feefc3;
        font-size: 2rem;
        padding: 1rem;
        resize: none
    }

    &_active {
        background-color: orange;
    }

    &__header {
        padding: 1rem;
    }

    &:hover {
        cursor: pointer;
        background-color: orange;

        .note__btn-remove {
            opacity: 1;
            z-index: 1;
        }
    }

    &__btn-remove {
        opacity: 0;
        z-index: -1;
        position: absolute;
        bottom: 1rem;
        right: 1rem;
    }
}